Page 2 of 7 FirstFirst 1234 ... LastLast
Results 11 to 20 of 68

Thread: AMD Catalyst 8.11 Linux Driver Released

  1. #11
    Join Date
    Oct 2007
    Location
    Poland
    Posts
    197

    Default

    Can any one pm me or paste somewhere working xorg.conf ? Cause I cant get this driver working :/ Using same xorg.conf as for 8.10 doesnt work. Getting ABI and DRI error ;/

  2. #12
    Join Date
    Aug 2007
    Posts
    6,619

    Default

    That release is completely untested with Ubuntu buildscripts and the release notes show:

    The latest version of the ATI Catalyst™ Linux software suite is designed to support
    the following Linux distributions:
    • Red Hat Enterprise Linux suite
    • Novell/SuSE product suite
    • Ubuntu
    That's untested crap! intrepid target does not use x740 dir and the Makefile overrides are wrong. Btw. phorogit zip file does show files which are already deleted and the tar.gz does not work even work if you fix the package creation in the xorg-driver-fglrx.in (hint from superm1). So I fixed it minimally invasive now.

    That you have to use the 64bit download location is also a joke.

    The pointsprites are still missing in gl2benchmark test 3/4 - I guess nobody expected a fix for that anyway...

    That release really sucks badly - you need lots of time to debug even the packaging faults and then the driver does not work as expected. So who DID test it? I guess some robots which say: release now!

  3. #13
    Join Date
    Jul 2008
    Posts
    1,726

    Default

    Quote Originally Posted by Tares View Post
    Can any one pm me or paste somewhere working xorg.conf ? Cause I cant get this driver working :/ Using same xorg.conf as for 8.10 doesnt work. Getting ABI and DRI error ;/
    that is probably some update error, not a xorg.conf problem. Somewhere are files from the old driver - like the old fglrx module still loaded. Hard to say without the log file.

  4. #14
    Join Date
    Nov 2008
    Posts
    1

    Default

    Any chance someone can tell me how to precede; I'm currently on Ubuntu 8.0.4.1 with a smooth working 8.9 version of the driver. I'm thinking of uprading to Intrepid Ibex 8.10 and the ATI 8.11 driver. Should I disable the 8.9 driver in the restricted hardware drivers manager before upgrading to Intrepid? Or doesn't it mather at all? Can I upgrade Ubuntu then install the 8.11 driver afterwards like explained at the wiki pages: Installing the restricted drivers manually

  5. #15
    Join Date
    Jul 2008
    Posts
    1,726

    Default

    hm, strangely the driver does not work for me with xorg-server 1.5. I get the same error as with 8.10.

  6. #16
    Join Date
    Jul 2008
    Posts
    1,726

    Default

    ok, I found the problem. Had to change x710 to x740 in the ebuild. Well, I should have read and think first, instead of half a douzend upgrade/downgrade cycles. The good thing, it is cold outside, but my room is nice an cozy now

  7. #17
    Join Date
    Oct 2007
    Location
    Poland
    Posts
    197

    Default

    Quote Originally Posted by energyman View Post
    that is probably some update error, not a xorg.conf problem. Somewhere are files from the old driver - like the old fglrx module still loaded. Hard to say without the log file.
    My 8.10 was from synaptic, so I've uninstalled it with --purge. I think its clean enough (searched for a *fglrx* on / but didnt found anything).

    I don't know much about installing fglrx driver, cause I've bought ATI recently, so I've just installed it with this guide
    but I couldn't make it work.

  8. #18
    Join Date
    Jul 2008
    Posts
    1,726

    Default

    I don't use ubuntu - with gentoo it is a bit of ebuild editing&renaming - still, your Xorg.0.log would be very helpfull. You find it in /var/log

  9. #19
    Join Date
    Aug 2008
    Posts
    15

    Default

    Ah well, another confirmation, Xorg 7.4 / XServer 1.5 working with Ubuntu 8.10. I had a little trouble trying to generate distro packages, but I just removed everything ati and used the automated installer for a change... Still reporting 1.2 glx server version, and only GLX_SGIX_pbuffer...

  10. #20
    Join Date
    Oct 2007
    Location
    Poland
    Posts
    197

    Default

    Quote Originally Posted by energyman View Post
    I don't use ubuntu - with gentoo it is a bit of ebuild editing&renaming - still, your Xorg.0.log would be very helpfull. You find it in /var/log
    Well, that was the first thing I've checked, but I dont know really whats going on there. Ill be very glad if you can find a solution here :
    Xorg.log
    xorg.conf

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •